﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Grouping;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.XlsIO;
using System.Drawing;
using Syncfusion.Windows.Forms.Grid;


public partial class Default5 : System.Web.UI.Page
{
    List<MyClass> list1 = new List<MyClass>();
    protected void Page_Load(object sender, EventArgs e)
    {
        bindDataSource();          
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        GridExcelExport excel = new GridExcelExport(this.GridGroupingControl1, "excel.xls", ConverterOptionsExt.All);
        excel.ExportNestedTable = true;
        excel.FormatExcelCellHandler += new ExportExcelCellHandler(excel_FormatExcelCellHandler);
        excel.Export();
    }
    
    void excel_FormatExcelCellHandler(object sender, ExcelExportEventArgs e)
    {
        if (e.RowElement.IsRecord() && e.ExcelCell.Column == 3)
        {
            e.ExcelCell.Cells[0].NumberFormat = "0.0%";
        }

        if (e.RowElement.Kind == DisplayElementKind.Summary)
        {
           // you can process for custom summaries here 
        }
    }


    private void bindDataSource()
    {
        for (int i = 1; i < 9; i++)
        {
            list1.Add(new MyClass(i, i + 100000000000, 15123.45m, 1362, "45879269", System.DateTime.Now));
        }
        this.GridGroupingControl1.DataSource = list1;
    }

    [Serializable]
    public class MyClass
    {
        public MyClass() { }
        public MyClass(int id, long id1, decimal currency, int number, string TelePhone, DateTime Date)
        {
            this.ID = id;
            this.ID1 = id1;
            this.Currency = currency;
            this.Number = number;
            this.Telephone = TelePhone;
            this.Date = Date;
        }
        public int ID { get; set; }
        public long ID1 { get; set; }
        public decimal Currency { get; set; }
        public int Number { get; set; }
        public string Telephone { get; set; }
        public DateTime Date { get; set; }
    }

}
